Bug 127466 - Allow style-dependent hyphenation
Summary: Allow style-dependent hyphenation
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 128386 (view as bug list)
Depends on:
Blocks: ImpressDraw-Styles
  Show dependency treegraph
 
Reported: 2019-09-10 09:46 UTC by Ulrich Windl
Modified: 2021-12-13 14:01 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Test Hyphenation in graphic style (21.82 KB, application/vnd.oasis.opendocument.presentation)
2019-10-29 14:04 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Windl 2019-09-10 09:46:53 UTC
Impress (Draw) only allows a global setting for language and hyphenation.
It would be much more useful, if language and hyphenation were a style property.
Comment 1 Thomas Lendo 2019-09-20 07:02:25 UTC
In Writer, language is part of character (and technically also paragraph) styles. Adding Regina Henschel who knows Draw better to answer if this is possible.
Comment 2 Heiko Tietze 2019-10-29 12:06:20 UTC
Besides the technical question, what is the scenario/use case that requires different languages and hyphenations in one presentation/drawing?
Comment 3 Ulrich Windl 2019-10-29 12:34:41 UTC
Use case: A German presentation quoting English slides or phrases. Any slides or drawing dealing with translation issues.
Comment 4 Regina Henschel 2019-10-29 14:04:29 UTC
Created attachment 155396 [details]
Test Hyphenation in graphic style

Technically it is possible.
The attached document has a style "WithHyphenation" with the attribute fo:hyphenate="true" and a style "NoHyphenation" with the attribute fo:hyphenate="false".
Apply one or the other style to a text box will turn hyphenation on/off.

The problem is in the UI:
The icon of command "Hyphenation" does not follow on/off in its state.
There exists no option, to remove the direct paragraph style on the content text, if you have set it by any operation.

I have edit the file itself to remove the unwanted direct paragraph style on the content text.
Comment 5 Timur 2019-10-30 10:02:19 UTC
*** Bug 128386 has been marked as a duplicate of this bug. ***
Comment 6 Timur 2019-10-30 10:03:11 UTC
Looks to me that we can put this to New.
Comment 7 Heiko Tietze 2019-11-01 09:14:21 UTC
(In reply to Regina Henschel from comment #4)
> The problem is in the UI:
> The icon of command "Hyphenation" does not follow on/off in its state.
> There exists no option, to remove the direct paragraph style on the content
> text, if you have set it by any operation.

I expect hyphenation to work depending on the language (paragraph/character style > font), and AFAICS it works like this in Writer.
You can also define the font language in Impress, though per Character and not Paragraph. And after manually adding <style:text-properties fo:hyphenate="true"/> to the raw file, it is possible to switch hyphenation on/off via tools > language.

So it's not a UX issue (admitted that the workflow is inconvenient) but clearly a bug.
Comment 8 QA Administrators 2021-11-01 04:15:16 UTC
Dear Ulrich Windl,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug